Skip to main content
POST
/
public
/
callback
/
telegram
handle update
curl --request POST \
  --url https://api.example.com/public/callback/telegram \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "update_id": 123,
  "message": {
    "message_id": 123,
    "message_thread_id": 123,
    "from": {
      "id": 123,
      "first_name": "<string>",
      "is_bot": true,
      "last_name": "<string>",
      "username": "<string>",
      "language_code": "<string>",
      "can_join_groups": true,
      "can_read_all_group_messages": true,
      "supports_inline_queries": true,
      "is_premium": true,
      "added_to_attachment_menu": true
    },
    "date": 123,
    "chat": {
      "id": 123,
      "type": "<string>",
      "title": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "username": "<string>",
      "photo": {
        "small_file_id": "<string>",
        "small_file_unique_id": "<string>",
        "big_file_id": "<string>",
        "big_file_unique_id": "<string>"
      },
      "description": "<string>",
      "invite_link": "<string>",
      "pinned_message": "<unknown>",
      "sticker_set_name": "<string>",
      "can_set_sticker_set": true,
      "permissions": {
        "can_send_messages": true,
        "can_send_audios": true,
        "can_send_documents": true,
        "can_send_photos": true,
        "can_send_videos": true,
        "can_send_video_notes": true,
        "can_send_voice_notes": true,
        "can_send_polls": true,
        "can_send_other_messages": true,
        "can_add_web_page_previews": true,
        "can_change_info": true,
        "can_invite_users": true,
        "can_pin_messages": true,
        "can_manage_topics": true,
        "can_send_media_messages": true
      },
      "slow_mode_delay": 123,
      "bio": "<string>",
      "linked_chat_id": 123,
      "location": {
        "location": {
          "longitude": 123,
          "latitude": 123,
          "horizontal_accuracy": 123,
          "live_period": 123,
          "heading": 123,
          "proximity_alert_radius": 123
        },
        "address": "<string>"
      },
      "message_auto_delete_time": 123,
      "has_private_forwards": true,
      "has_protected_content": true,
      "join_to_send_messages": true,
      "join_by_request": true,
      "has_restricted_voice_and_video_messages": true,
      "is_forum": true,
      "active_usernames": [
        "<string>"
      ],
      "emoji_status_custom_emoji_id": "<string>",
      "has_aggressive_anti_spam_enabled": true,
      "has_hidden_members": true,
      "emoji_status_expiration_date": true,
      "available_reactions": [
        {}
      ],
      "accent_color_id": 123,
      "background_custom_emoji_id": "<string>",
      "profile_accent_color_id": true,
      "profile_background_custom_emoji_id": "<string>",
      "has_visible_history": true,
      "unrestrict_boost_count": 123,
      "custom_emoji_sticker_set_name": true
    },
    "forward_from": {
      "id": 123,
      "first_name": "<string>",
      "is_bot": true,
      "last_name": "<string>",
      "username": "<string>",
      "language_code": "<string>",
      "can_join_groups": true,
      "can_read_all_group_messages": true,
      "supports_inline_queries": true,
      "is_premium": true,
      "added_to_attachment_menu": true
    },
    "forward_from_chat": {
      "id": 123,
      "type": "<string>",
      "title": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "username": "<string>",
      "photo": {
        "small_file_id": "<string>",
        "small_file_unique_id": "<string>",
        "big_file_id": "<string>",
        "big_file_unique_id": "<string>"
      },
      "description": "<string>",
      "invite_link": "<string>",
      "pinned_message": "<unknown>",
      "sticker_set_name": "<string>",
      "can_set_sticker_set": true,
      "permissions": {
        "can_send_messages": true,
        "can_send_audios": true,
        "can_send_documents": true,
        "can_send_photos": true,
        "can_send_videos": true,
        "can_send_video_notes": true,
        "can_send_voice_notes": true,
        "can_send_polls": true,
        "can_send_other_messages": true,
        "can_add_web_page_previews": true,
        "can_change_info": true,
        "can_invite_users": true,
        "can_pin_messages": true,
        "can_manage_topics": true,
        "can_send_media_messages": true
      },
      "slow_mode_delay": 123,
      "bio": "<string>",
      "linked_chat_id": 123,
      "location": {
        "location": {
          "longitude": 123,
          "latitude": 123,
          "horizontal_accuracy": 123,
          "live_period": 123,
          "heading": 123,
          "proximity_alert_radius": 123
        },
        "address": "<string>"
      },
      "message_auto_delete_time": 123,
      "has_private_forwards": true,
      "has_protected_content": true,
      "join_to_send_messages": true,
      "join_by_request": true,
      "has_restricted_voice_and_video_messages": true,
      "is_forum": true,
      "active_usernames": [
        "<string>"
      ],
      "emoji_status_custom_emoji_id": "<string>",
      "has_aggressive_anti_spam_enabled": true,
      "has_hidden_members": true,
      "emoji_status_expiration_date": true,
      "available_reactions": [
        {}
      ],
      "accent_color_id": 123,
      "background_custom_emoji_id": "<string>",
      "profile_accent_color_id": true,
      "profile_background_custom_emoji_id": "<string>",
      "has_visible_history": true,
      "unrestrict_boost_count": 123,
      "custom_emoji_sticker_set_name": true
    },
    "forward_date": 123,
    "text": "<string>",
    "entities": [
      {
        "type": "<string>",
        "offset": 123,
        "length": 123,
        "url": "<string>",
        "user": {
          "id": 123,
          "first_name": "<string>",
          "is_bot": true,
          "last_name": "<string>",
          "username": "<string>",
          "language_code": "<string>",
          "can_join_groups": true,
          "can_read_all_group_messages": true,
          "supports_inline_queries": true,
          "is_premium": true,
          "added_to_attachment_menu": true
        },
        "language": "<string>",
        "custom_emoji_id": "<string>"
      }
    ],
    "caption_entities": [
      {
        "type": "<string>",
        "offset": 123,
        "length": 123,
        "url": "<string>",
        "user": {
          "id": 123,
          "first_name": "<string>",
          "is_bot": true,
          "last_name": "<string>",
          "username": "<string>",
          "language_code": "<string>",
          "can_join_groups": true,
          "can_read_all_group_messages": true,
          "supports_inline_queries": true,
          "is_premium": true,
          "added_to_attachment_menu": true
        },
        "language": "<string>",
        "custom_emoji_id": "<string>"
      }
    ],
    "audio": {
      "file_id": "<string>",
      "file_unique_id": "<string>",
      "duration": 123,
      "mime_type": "<string>",
      "file_size": 123,
      "title": "<string>",
      "performer": "<string>",
      "thumbnail": {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "width": 123,
        "height": 123,
        "file_size": 123,
        "file_path": "<string>"
      },
      "file_name": "<string>"
    },
    "document": {
      "file_id": "<string>",
      "file_unique_id": "<string>",
      "thumbnail": {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "width": 123,
        "height": 123,
        "file_size": 123,
        "file_path": "<string>"
      },
      "file_name": "<string>",
      "mime_type": "<string>",
      "file_size": 123
    },
    "photo": [
      {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "width": 123,
        "height": 123,
        "file_size": 123,
        "file_path": "<string>"
      }
    ],
    "sticker": {
      "file_id": "<string>",
      "file_unique_id": "<string>",
      "type": "<string>",
      "width": 123,
      "height": 123,
      "thumbnail": {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "width": 123,
        "height": 123,
        "file_size": 123,
        "file_path": "<string>"
      },
      "file_size": 123,
      "emoji": "<string>",
      "set_name": "<string>",
      "mask_position": {
        "point": "<string>",
        "x_shift": 123,
        "y_shift": 123,
        "scale": 123
      },
      "is_animated": true,
      "is_video": true,
      "premium_animation": {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "file_size": 123,
        "file_path": "<string>"
      },
      "custom_emoji_id": "<string>",
      "needs_repainting": true
    },
    "video": {
      "file_id": "<string>",
      "file_unique_id": "<string>",
      "width": 123,
      "height": 123,
      "duration": 123,
      "thumbnail": {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "width": 123,
        "height": 123,
        "file_size": 123,
        "file_path": "<string>"
      },
      "mime_type": "<string>",
      "file_size": 123,
      "file_name": "<string>"
    },
    "contact": {
      "phone_number": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "user_id": 123,
      "vcard": "<string>"
    },
    "location": {
      "longitude": 123,
      "latitude": 123,
      "horizontal_accuracy": 123,
      "live_period": 123,
      "heading": 123,
      "proximity_alert_radius": 123
    },
    "venue": {
      "location": {
        "longitude": 123,
        "latitude": 123,
        "horizontal_accuracy": 123,
        "live_period": 123,
        "heading": 123,
        "proximity_alert_radius": 123
      },
      "title": "<string>",
      "address": "<string>",
      "foursquare_id": "<string>",
      "foursquare_type": "<string>",
      "google_place_id": "<string>",
      "google_place_type": "<string>"
    },
    "animation": {
      "file_id": "<string>",
      "file_unique_id": "<string>",
      "width": 123,
      "height": 123,
      "duration": 123,
      "thumbnail": {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "width": 123,
        "height": 123,
        "file_size": 123,
        "file_path": "<string>"
      },
      "mime_type": "<string>",
      "file_size": 123,
      "file_name": "<string>"
    },
    "pinned_message": {
      "userMessage": true,
      "groupMessage": true,
      "superGroupMessage": true,
      "chatId": 123,
      "messageId": 123,
      "date": 123
    },
    "new_chat_members": [
      {
        "id": 123,
        "first_name": "<string>",
        "is_bot": true,
        "last_name": "<string>",
        "username": "<string>",
        "language_code": "<string>",
        "can_join_groups": true,
        "can_read_all_group_messages": true,
        "supports_inline_queries": true,
        "is_premium": true,
        "added_to_attachment_menu": true
      }
    ],
    "left_chat_member": {
      "id": 123,
      "first_name": "<string>",
      "is_bot": true,
      "last_name": "<string>",
      "username": "<string>",
      "language_code": "<string>",
      "can_join_groups": true,
      "can_read_all_group_messages": true,
      "supports_inline_queries": true,
      "is_premium": true,
      "added_to_attachment_menu": true
    },
    "new_chat_title": "<string>",
    "new_chat_photo": [
      {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "width": 123,
        "height": 123,
        "file_size": 123,
        "file_path": "<string>"
      }
    ],
    "delete_chat_photo": true,
    "group_chat_created": true,
    "reply_to_message": "<unknown>",
    "voice": {
      "file_id": "<string>",
      "file_unique_id": "<string>",
      "duration": 123,
      "mime_type": "<string>",
      "file_size": 123
    },
    "caption": "<string>",
    "supergroup_chat_created": true,
    "channel_chat_created": true,
    "migrate_to_chat_id": 123,
    "migrate_from_chat_id": 123,
    "edit_date": 123,
    "game": {
      "title": "<string>",
      "description": "<string>",
      "photo": [
        {
          "file_id": "<string>",
          "file_unique_id": "<string>",
          "width": 123,
          "height": 123,
          "file_size": 123,
          "file_path": "<string>"
        }
      ],
      "text": "<string>",
      "text_entities": [
        {
          "type": "<string>",
          "offset": 123,
          "length": 123,
          "url": "<string>",
          "user": {
            "id": 123,
            "first_name": "<string>",
            "is_bot": true,
            "last_name": "<string>",
            "username": "<string>",
            "language_code": "<string>",
            "can_join_groups": true,
            "can_read_all_group_messages": true,
            "supports_inline_queries": true,
            "is_premium": true,
            "added_to_attachment_menu": true
          },
          "language": "<string>",
          "custom_emoji_id": "<string>"
        }
      ],
      "animation": {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "width": 123,
        "height": 123,
        "duration": 123,
        "thumbnail": {
          "file_id": "<string>",
          "file_unique_id": "<string>",
          "width": 123,
          "height": 123,
          "file_size": 123,
          "file_path": "<string>"
        },
        "mime_type": "<string>",
        "file_size": 123,
        "file_name": "<string>"
      }
    },
    "forward_from_message_id": 123,
    "invoice": {
      "title": "<string>",
      "description": "<string>",
      "start_parameter": "<string>",
      "currency": "<string>",
      "total_amount": 123,
      "photo": {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "width": 123,
        "height": 123,
        "file_size": 123,
        "file_path": "<string>"
      }
    },
    "successful_payment": {
      "currency": "<string>",
      "total_amount": 123,
      "invoice_payload": "<string>",
      "shipping_option_id": "<string>",
      "order_info": {
        "name": "<string>",
        "phone_number": "<string>",
        "email": "<string>",
        "shipping_address": {
          "country_code": "<string>",
          "state": "<string>",
          "city": "<string>",
          "street_line1": "<string>",
          "street_line2": "<string>",
          "post_code": "<string>"
        }
      },
      "telegram_payment_charge_id": "<string>",
      "provider_payment_charge_id": "<string>"
    },
    "video_note": {
      "file_id": "<string>",
      "file_unique_id": "<string>",
      "length": 123,
      "duration": 123,
      "thumbnail": {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "width": 123,
        "height": 123,
        "file_size": 123,
        "file_path": "<string>"
      },
      "file_size": 123
    },
    "author_signature": "<string>",
    "forward_signature": "<string>",
    "media_group_id": "<string>",
    "connected_website": "<string>",
    "passport_data": {
      "data": [
        {
          "type": "<string>",
          "data": "<string>",
          "phone_number": "<string>",
          "email": "<string>",
          "files": [
            {
              "file_id": "<string>",
              "file_unique_id": "<string>",
              "file_size": 123,
              "file_date": 123
            }
          ],
          "front_side": {
            "file_id": "<string>",
            "file_unique_id": "<string>",
            "file_size": 123,
            "file_date": 123
          },
          "reverse_side": {
            "file_id": "<string>",
            "file_unique_id": "<string>",
            "file_size": 123,
            "file_date": 123
          },
          "selfie": {
            "file_id": "<string>",
            "file_unique_id": "<string>",
            "file_size": 123,
            "file_date": 123
          },
          "translation": [
            {
              "file_id": "<string>",
              "file_unique_id": "<string>",
              "file_size": 123,
              "file_date": 123
            }
          ],
          "hash": "<string>"
        }
      ],
      "credentials": {
        "data": "<string>",
        "hash": "<string>",
        "secret": "<string>"
      }
    },
    "forward_sender_name": "<string>",
    "poll": {
      "id": "<string>",
      "question": "<string>",
      "options": [
        {
          "text": "<string>",
          "voter_count": 123
        }
      ],
      "total_voter_count": 123,
      "is_closed": true,
      "is_anonymous": true,
      "type": "<string>",
      "allows_multiple_answers": true,
      "correct_option_id": 123,
      "open_period": 123,
      "close_date": 123,
      "explanation": "<string>",
      "explanation_entities": [
        {
          "type": "<string>",
          "offset": 123,
          "length": 123,
          "url": "<string>",
          "user": {
            "id": 123,
            "first_name": "<string>",
            "is_bot": true,
            "last_name": "<string>",
            "username": "<string>",
            "language_code": "<string>",
            "can_join_groups": true,
            "can_read_all_group_messages": true,
            "supports_inline_queries": true,
            "is_premium": true,
            "added_to_attachment_menu": true
          },
          "language": "<string>",
          "custom_emoji_id": "<string>"
        }
      ]
    },
    "reply_markup": {
      "inline_keyboard": [
        [
          {
            "text": "<string>",
            "url": "<string>",
            "callback_data": "<string>",
            "callback_game": {},
            "switch_inline_query": "<string>",
            "switch_inline_query_current_chat": "<string>",
            "pay": true,
            "login_url": {
              "url": "<string>",
              "forward_text": "<string>",
              "bot_username": "<string>",
              "request_write_access": true
            },
            "web_app": {
              "url": "<string>"
            }
          }
        ]
      ]
    },
    "dice": {
      "value": 123,
      "emoji": "<string>"
    },
    "via_bot": {
      "id": 123,
      "first_name": "<string>",
      "is_bot": true,
      "last_name": "<string>",
      "username": "<string>",
      "language_code": "<string>",
      "can_join_groups": true,
      "can_read_all_group_messages": true,
      "supports_inline_queries": true,
      "is_premium": true,
      "added_to_attachment_menu": true
    },
    "sender_chat": {
      "id": 123,
      "type": "<string>",
      "title": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "username": "<string>",
      "photo": {
        "small_file_id": "<string>",
        "small_file_unique_id": "<string>",
        "big_file_id": "<string>",
        "big_file_unique_id": "<string>"
      },
      "description": "<string>",
      "invite_link": "<string>",
      "pinned_message": "<unknown>",
      "sticker_set_name": "<string>",
      "can_set_sticker_set": true,
      "permissions": {
        "can_send_messages": true,
        "can_send_audios": true,
        "can_send_documents": true,
        "can_send_photos": true,
        "can_send_videos": true,
        "can_send_video_notes": true,
        "can_send_voice_notes": true,
        "can_send_polls": true,
        "can_send_other_messages": true,
        "can_add_web_page_previews": true,
        "can_change_info": true,
        "can_invite_users": true,
        "can_pin_messages": true,
        "can_manage_topics": true,
        "can_send_media_messages": true
      },
      "slow_mode_delay": 123,
      "bio": "<string>",
      "linked_chat_id": 123,
      "location": {
        "location": {
          "longitude": 123,
          "latitude": 123,
          "horizontal_accuracy": 123,
          "live_period": 123,
          "heading": 123,
          "proximity_alert_radius": 123
        },
        "address": "<string>"
      },
      "message_auto_delete_time": 123,
      "has_private_forwards": true,
      "has_protected_content": true,
      "join_to_send_messages": true,
      "join_by_request": true,
      "has_restricted_voice_and_video_messages": true,
      "is_forum": true,
      "active_usernames": [
        "<string>"
      ],
      "emoji_status_custom_emoji_id": "<string>",
      "has_aggressive_anti_spam_enabled": true,
      "has_hidden_members": true,
      "emoji_status_expiration_date": true,
      "available_reactions": [
        {}
      ],
      "accent_color_id": 123,
      "background_custom_emoji_id": "<string>",
      "profile_accent_color_id": true,
      "profile_background_custom_emoji_id": "<string>",
      "has_visible_history": true,
      "unrestrict_boost_count": 123,
      "custom_emoji_sticker_set_name": true
    },
    "proximity_alert_triggered": {
      "traveler": {
        "id": 123,
        "first_name": "<string>",
        "is_bot": true,
        "last_name": "<string>",
        "username": "<string>",
        "language_code": "<string>",
        "can_join_groups": true,
        "can_read_all_group_messages": true,
        "supports_inline_queries": true,
        "is_premium": true,
        "added_to_attachment_menu": true
      },
      "watcher": {
        "id": 123,
        "first_name": "<string>",
        "is_bot": true,
        "last_name": "<string>",
        "username": "<string>",
        "language_code": "<string>",
        "can_join_groups": true,
        "can_read_all_group_messages": true,
        "supports_inline_queries": true,
        "is_premium": true,
        "added_to_attachment_menu": true
      },
      "distance": 123
    },
    "message_auto_delete_timer_changed": {
      "message_auto_delete_time": 123
    },
    "is_automatic_forward": true,
    "has_protected_content": true,
    "web_app_data": {
      "data": "<string>",
      "button_text": "<string>"
    },
    "video_chat_started": {},
    "video_chat_ended": {
      "duration": 123
    },
    "video_chat_participants_invited": {
      "users": [
        {
          "id": 123,
          "first_name": "<string>",
          "is_bot": true,
          "last_name": "<string>",
          "username": "<string>",
          "language_code": "<string>",
          "can_join_groups": true,
          "can_read_all_group_messages": true,
          "supports_inline_queries": true,
          "is_premium": true,
          "added_to_attachment_menu": true
        }
      ]
    },
    "video_chat_scheduled": {
      "start_date": 123
    },
    "is_topic_message": true,
    "forum_topic_created": {
      "name": "<string>",
      "icon_color": 123,
      "icon_custom_emoji_id": "<string>"
    },
    "forum_topic_closed": {},
    "forum_topic_reopened": {},
    "forum_topic_edited": {
      "name": "<string>",
      "icon_custom_emoji_id": "<string>"
    },
    "general_forum_topic_hidden": {},
    "general_forum_topic_unhidden": {},
    "write_access_allowed": {
      "from_request": true,
      "web_app_name": "<string>",
      "from_attachment_menu": true
    },
    "has_media_spoiler": true,
    "user_shared": {
      "request_id": "<string>",
      "user_id": 123
    },
    "chat_shared": {
      "request_id": "<string>",
      "chat_id": 123
    },
    "story": {
      "chat": {
        "id": 123,
        "type": "<string>",
        "title": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "username": "<string>",
        "photo": {
          "small_file_id": "<string>",
          "small_file_unique_id": "<string>",
          "big_file_id": "<string>",
          "big_file_unique_id": "<string>"
        },
        "description": "<string>",
        "invite_link": "<string>",
        "pinned_message": "<unknown>",
        "sticker_set_name": "<string>",
        "can_set_sticker_set": true,
        "permissions": {
          "can_send_messages": true,
          "can_send_audios": true,
          "can_send_documents": true,
          "can_send_photos": true,
          "can_send_videos": true,
          "can_send_video_notes": true,
          "can_send_voice_notes": true,
          "can_send_polls": true,
          "can_send_other_messages": true,
          "can_add_web_page_previews": true,
          "can_change_info": true,
          "can_invite_users": true,
          "can_pin_messages": true,
          "can_manage_topics": true,
          "can_send_media_messages": true
        },
        "slow_mode_delay": 123,
        "bio": "<string>",
        "linked_chat_id": 123,
        "location": {
          "location": {
            "longitude": 123,
            "latitude": 123,
            "horizontal_accuracy": 123,
            "live_period": 123,
            "heading": 123,
            "proximity_alert_radius": 123
          },
          "address": "<string>"
        },
        "message_auto_delete_time": 123,
        "has_private_forwards": true,
        "has_protected_content": true,
        "join_to_send_messages": true,
        "join_by_request": true,
        "has_restricted_voice_and_video_messages": true,
        "is_forum": true,
        "active_usernames": [
          "<string>"
        ],
        "emoji_status_custom_emoji_id": "<string>",
        "has_aggressive_anti_spam_enabled": true,
        "has_hidden_members": true,
        "emoji_status_expiration_date": true,
        "available_reactions": [
          {}
        ],
        "accent_color_id": 123,
        "background_custom_emoji_id": "<string>",
        "profile_accent_color_id": true,
        "profile_background_custom_emoji_id": "<string>",
        "has_visible_history": true,
        "unrestrict_boost_count": 123,
        "custom_emoji_sticker_set_name": true
      },
      "id": 123
    },
    "external_reply": {
      "origin": {},
      "chat": {
        "id": 123,
        "type": "<string>",
        "title": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "username": "<string>",
        "photo": {
          "small_file_id": "<string>",
          "small_file_unique_id": "<string>",
          "big_file_id": "<string>",
          "big_file_unique_id": "<string>"
        },
        "description": "<string>",
        "invite_link": "<string>",
        "pinned_message": "<unknown>",
        "sticker_set_name": "<string>",
        "can_set_sticker_set": true,
        "permissions": {
          "can_send_messages": true,
          "can_send_audios": true,
          "can_send_documents": true,
          "can_send_photos": true,
          "can_send_videos": true,
          "can_send_video_notes": true,
          "can_send_voice_notes": true,
          "can_send_polls": true,
          "can_send_other_messages": true,
          "can_add_web_page_previews": true,
          "can_change_info": true,
          "can_invite_users": true,
          "can_pin_messages": true,
          "can_manage_topics": true,
          "can_send_media_messages": true
        },
        "slow_mode_delay": 123,
        "bio": "<string>",
        "linked_chat_id": 123,
        "location": {
          "location": {
            "longitude": 123,
            "latitude": 123,
            "horizontal_accuracy": 123,
            "live_period": 123,
            "heading": 123,
            "proximity_alert_radius": 123
          },
          "address": "<string>"
        },
        "message_auto_delete_time": 123,
        "has_private_forwards": true,
        "has_protected_content": true,
        "join_to_send_messages": true,
        "join_by_request": true,
        "has_restricted_voice_and_video_messages": true,
        "is_forum": true,
        "active_usernames": [
          "<string>"
        ],
        "emoji_status_custom_emoji_id": "<string>",
        "has_aggressive_anti_spam_enabled": true,
        "has_hidden_members": true,
        "emoji_status_expiration_date": true,
        "available_reactions": [
          {}
        ],
        "accent_color_id": 123,
        "background_custom_emoji_id": "<string>",
        "profile_accent_color_id": true,
        "profile_background_custom_emoji_id": "<string>",
        "has_visible_history": true,
        "unrestrict_boost_count": 123,
        "custom_emoji_sticker_set_name": true
      },
      "message_id": 123,
      "link_preview_options": {
        "is_disabled": true,
        "url": "<string>",
        "prefer_small_media": true,
        "prefer_large_media": true,
        "show_above_text": true
      },
      "animation": {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "width": 123,
        "height": 123,
        "duration": 123,
        "thumbnail": {
          "file_id": "<string>",
          "file_unique_id": "<string>",
          "width": 123,
          "height": 123,
          "file_size": 123,
          "file_path": "<string>"
        },
        "mime_type": "<string>",
        "file_size": 123,
        "file_name": "<string>"
      },
      "audio": {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "duration": 123,
        "mime_type": "<string>",
        "file_size": 123,
        "title": "<string>",
        "performer": "<string>",
        "thumbnail": {
          "file_id": "<string>",
          "file_unique_id": "<string>",
          "width": 123,
          "height": 123,
          "file_size": 123,
          "file_path": "<string>"
        },
        "file_name": "<string>"
      },
      "document": {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "thumbnail": {
          "file_id": "<string>",
          "file_unique_id": "<string>",
          "width": 123,
          "height": 123,
          "file_size": 123,
          "file_path": "<string>"
        },
        "file_name": "<string>",
        "mime_type": "<string>",
        "file_size": 123
      },
      "photo": [
        {
          "file_id": "<string>",
          "file_unique_id": "<string>",
          "width": 123,
          "height": 123,
          "file_size": 123,
          "file_path": "<string>"
        }
      ],
      "sticker": {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "type": "<string>",
        "width": 123,
        "height": 123,
        "thumbnail": {
          "file_id": "<string>",
          "file_unique_id": "<string>",
          "width": 123,
          "height": 123,
          "file_size": 123,
          "file_path": "<string>"
        },
        "file_size": 123,
        "emoji": "<string>",
        "set_name": "<string>",
        "mask_position": {
          "point": "<string>",
          "x_shift": 123,
          "y_shift": 123,
          "scale": 123
        },
        "is_animated": true,
        "is_video": true,
        "premium_animation": {
          "file_id": "<string>",
          "file_unique_id": "<string>",
          "file_size": 123,
          "file_path": "<string>"
        },
        "custom_emoji_id": "<string>",
        "needs_repainting": true
      },
      "story": {
        "chat": {
          "id": 123,
          "type": "<string>",
          "title": "<string>",
          "first_name": "<string>",
          "last_name": "<string>",
          "username": "<string>",
          "photo": {
            "small_file_id": "<string>",
            "small_file_unique_id": "<string>",
            "big_file_id": "<string>",
            "big_file_unique_id": "<string>"
          },
          "description": "<string>",
          "invite_link": "<string>",
          "pinned_message": "<unknown>",
          "sticker_set_name": "<string>",
          "can_set_sticker_set": true,
          "permissions": {
            "can_send_messages": true,
            "can_send_audios": true,
            "can_send_documents": true,
            "can_send_photos": true,
            "can_send_videos": true,
            "can_send_video_notes": true,
            "can_send_voice_notes": true,
            "can_send_polls": true,
            "can_send_other_messages": true,
            "can_add_web_page_previews": true,
            "can_change_info": true,
            "can_invite_users": true,
            "can_pin_messages": true,
            "can_manage_topics": true,
            "can_send_media_messages": true
          },
          "slow_mode_delay": 123,
          "bio": "<string>",
          "linked_chat_id": 123,
          "location": {
            "location": {
              "longitude": 123,
              "latitude": 123,
              "horizontal_accuracy": 123,
              "live_period": 123,
              "heading": 123,
              "proximity_alert_radius": 123
            },
            "address": "<string>"
          },
          "message_auto_delete_time": 123,
          "has_private_forwards": true,
          "has_protected_content": true,
          "join_to_send_messages": true,
          "join_by_request": true,
          "has_restricted_voice_and_video_messages": true,
          "is_forum": true,
          "active_usernames": [
            "<string>"
          ],
          "emoji_status_custom_emoji_id": "<string>",
          "has_aggressive_anti_spam_enabled": true,
          "has_hidden_members": true,
          "emoji_status_expiration_date": true,
          "available_reactions": [
            {}
          ],
          "accent_color_id": 123,
          "background_custom_emoji_id": "<string>",
          "profile_accent_color_id": true,
          "profile_background_custom_emoji_id": "<string>",
          "has_visible_history": true,
          "unrestrict_boost_count": 123,
          "custom_emoji_sticker_set_name": true
        },
        "id": 123
      },
      "video": {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "width": 123,
        "height": 123,
        "duration": 123,
        "thumbnail": {
          "file_id": "<string>",
          "file_unique_id": "<string>",
          "width": 123,
          "height": 123,
          "file_size": 123,
          "file_path": "<string>"
        },
        "mime_type": "<string>",
        "file_size": 123,
        "file_name": "<string>"
      },
      "video_note": {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "length": 123,
        "duration": 123,
        "thumbnail": {
          "file_id": "<string>",
          "file_unique_id": "<string>",
          "width": 123,
          "height": 123,
          "file_size": 123,
          "file_path": "<string>"
        },
        "file_size": 123
      },
      "voice": {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "duration": 123,
        "mime_type": "<string>",
        "file_size": 123
      },
      "has_media_spoiler": true,
      "contact": {
        "phone_number": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "user_id": 123,
        "vcard": "<string>"
      },
      "dice": {
        "value": 123,
        "emoji": "<string>"
      },
      "game": {
        "title": "<string>",
        "description": "<string>",
        "photo": [
          {
            "file_id": "<string>",
            "file_unique_id": "<string>",
            "width": 123,
            "height": 123,
            "file_size": 123,
            "file_path": "<string>"
          }
        ],
        "text": "<string>",
        "text_entities": [
          {
            "type": "<string>",
            "offset": 123,
            "length": 123,
            "url": "<string>",
            "user": {
              "id": 123,
              "first_name": "<string>",
              "is_bot": true,
              "last_name": "<string>",
              "username": "<string>",
              "language_code": "<string>",
              "can_join_groups": true,
              "can_read_all_group_messages": true,
              "supports_inline_queries": true,
              "is_premium": true,
              "added_to_attachment_menu": true
            },
            "language": "<string>",
            "custom_emoji_id": "<string>"
          }
        ],
        "animation": {
          "file_id": "<string>",
          "file_unique_id": "<string>",
          "width": 123,
          "height": 123,
          "duration": 123,
          "thumbnail": {
            "file_id": "<string>",
            "file_unique_id": "<string>",
            "width": 123,
            "height": 123,
            "file_size": 123,
            "file_path": "<string>"
          },
          "mime_type": "<string>",
          "file_size": 123,
          "file_name": "<string>"
        }
      },
      "giveaway": {
        "chats": [
          {
            "id": 123,
            "type": "<string>",
            "title": "<string>",
            "first_name": "<string>",
            "last_name": "<string>",
            "username": "<string>",
            "photo": {
              "small_file_id": "<string>",
              "small_file_unique_id": "<string>",
              "big_file_id": "<string>",
              "big_file_unique_id": "<string>"
            },
            "description": "<string>",
            "invite_link": "<string>",
            "pinned_message": "<unknown>",
            "sticker_set_name": "<string>",
            "can_set_sticker_set": true,
            "permissions": {
              "can_send_messages": true,
              "can_send_audios": true,
              "can_send_documents": true,
              "can_send_photos": true,
              "can_send_videos": true,
              "can_send_video_notes": true,
              "can_send_voice_notes": true,
              "can_send_polls": true,
              "can_send_other_messages": true,
              "can_add_web_page_previews": true,
              "can_change_info": true,
              "can_invite_users": true,
              "can_pin_messages": true,
              "can_manage_topics": true,
              "can_send_media_messages": true
            },
            "slow_mode_delay": 123,
            "bio": "<string>",
            "linked_chat_id": 123,
            "location": {
              "location": {
                "longitude": 123,
                "latitude": 123,
                "horizontal_accuracy": 123,
                "live_period": 123,
                "heading": 123,
                "proximity_alert_radius": 123
              },
              "address": "<string>"
            },
            "message_auto_delete_time": 123,
            "has_private_forwards": true,
            "has_protected_content": true,
            "join_to_send_messages": true,
            "join_by_request": true,
            "has_restricted_voice_and_video_messages": true,
            "is_forum": true,
            "active_usernames": [
              "<string>"
            ],
            "emoji_status_custom_emoji_id": "<string>",
            "has_aggressive_anti_spam_enabled": true,
            "has_hidden_members": true,
            "emoji_status_expiration_date": true,
            "available_reactions": [
              {}
            ],
            "accent_color_id": 123,
            "background_custom_emoji_id": "<string>",
            "profile_accent_color_id": true,
            "profile_background_custom_emoji_id": "<string>",
            "has_visible_history": true,
            "unrestrict_boost_count": 123,
            "custom_emoji_sticker_set_name": true
          }
        ],
        "winners_selection_date": 123,
        "winner_count": 123,
        "only_new_members": true,
        "has_public_winners": true,
        "prize_description": "<string>",
        "country_codes": [
          "<string>"
        ],
        "premium_subscription_month_count": 123
      },
      "giveaway_winners": {
        "chat": {
          "id": 123,
          "type": "<string>",
          "title": "<string>",
          "first_name": "<string>",
          "last_name": "<string>",
          "username": "<string>",
          "photo": {
            "small_file_id": "<string>",
            "small_file_unique_id": "<string>",
            "big_file_id": "<string>",
            "big_file_unique_id": "<string>"
          },
          "description": "<string>",
          "invite_link": "<string>",
          "pinned_message": "<unknown>",
          "sticker_set_name": "<string>",
          "can_set_sticker_set": true,
          "permissions": {
            "can_send_messages": true,
            "can_send_audios": true,
            "can_send_documents": true,
            "can_send_photos": true,
            "can_send_videos": true,
            "can_send_video_notes": true,
            "can_send_voice_notes": true,
            "can_send_polls": true,
            "can_send_other_messages": true,
            "can_add_web_page_previews": true,
            "can_change_info": true,
            "can_invite_users": true,
            "can_pin_messages": true,
            "can_manage_topics": true,
            "can_send_media_messages": true
          },
          "slow_mode_delay": 123,
          "bio": "<string>",
          "linked_chat_id": 123,
          "location": {
            "location": {
              "longitude": 123,
              "latitude": 123,
              "horizontal_accuracy": 123,
              "live_period": 123,
              "heading": 123,
              "proximity_alert_radius": 123
            },
            "address": "<string>"
          },
          "message_auto_delete_time": 123,
          "has_private_forwards": true,
          "has_protected_content": true,
          "join_to_send_messages": true,
          "join_by_request": true,
          "has_restricted_voice_and_video_messages": true,
          "is_forum": true,
          "active_usernames": [
            "<string>"
          ],
          "emoji_status_custom_emoji_id": "<string>",
          "has_aggressive_anti_spam_enabled": true,
          "has_hidden_members": true,
          "emoji_status_expiration_date": true,
          "available_reactions": [
            {}
          ],
          "accent_color_id": 123,
          "background_custom_emoji_id": "<string>",
          "profile_accent_color_id": true,
          "profile_background_custom_emoji_id": "<string>",
          "has_visible_history": true,
          "unrestrict_boost_count": 123,
          "custom_emoji_sticker_set_name": true
        },
        "giveaway_message_id": 123,
        "winners_selection_date": 123,
        "winner_count": 123,
        "winners": [
          {
            "id": 123,
            "first_name": "<string>",
            "is_bot": true,
            "last_name": "<string>",
            "username": "<string>",
            "language_code": "<string>",
            "can_join_groups": true,
            "can_read_all_group_messages": true,
            "supports_inline_queries": true,
            "is_premium": true,
            "added_to_attachment_menu": true
          }
        ],
        "additional_chat_count": 123,
        "premium_subscription_month_count": 123,
        "unclaimed_prize_count": 123,
        "only_new_members": true,
        "was_refunded": true,
        "prize_description": "<string>"
      },
      "invoice": {
        "title": "<string>",
        "description": "<string>",
        "start_parameter": "<string>",
        "currency": "<string>",
        "total_amount": 123,
        "photo": {
          "file_id": "<string>",
          "file_unique_id": "<string>",
          "width": 123,
          "height": 123,
          "file_size": 123,
          "file_path": "<string>"
        }
      },
      "location": {
        "longitude": 123,
        "latitude": 123,
        "horizontal_accuracy": 123,
        "live_period": 123,
        "heading": 123,
        "proximity_alert_radius": 123
      },
      "poll": {
        "id": "<string>",
        "question": "<string>",
        "options": [
          {
            "text": "<string>",
            "voter_count": 123
          }
        ],
        "total_voter_count": 123,
        "is_closed": true,
        "is_anonymous": true,
        "type": "<string>",
        "allows_multiple_answers": true,
        "correct_option_id": 123,
        "open_period": 123,
        "close_date": 123,
        "explanation": "<string>",
        "explanation_entities": [
          {
            "type": "<string>",
            "offset": 123,
            "length": 123,
            "url": "<string>",
            "user": {
              "id": 123,
              "first_name": "<string>",
              "is_bot": true,
              "last_name": "<string>",
              "username": "<string>",
              "language_code": "<string>",
              "can_join_groups": true,
              "can_read_all_group_messages": true,
              "supports_inline_queries": true,
              "is_premium": true,
              "added_to_attachment_menu": true
            },
            "language": "<string>",
            "custom_emoji_id": "<string>"
          }
        ]
      },
      "venue": {
        "location": {
          "longitude": 123,
          "latitude": 123,
          "horizontal_accuracy": 123,
          "live_period": 123,
          "heading": 123,
          "proximity_alert_radius": 123
        },
        "title": "<string>",
        "address": "<string>",
        "foursquare_id": "<string>",
        "foursquare_type": "<string>",
        "google_place_id": "<string>",
        "google_place_type": "<string>"
      }
    },
    "forward_origin": {},
    "link_preview_options": {
      "is_disabled": true,
      "url": "<string>",
      "prefer_small_media": true,
      "prefer_large_media": true,
      "show_above_text": true
    },
    "quote": {
      "text": "<string>",
      "entities": [
        {
          "type": "<string>",
          "offset": 123,
          "length": 123,
          "url": "<string>",
          "user": {
            "id": 123,
            "first_name": "<string>",
            "is_bot": true,
            "last_name": "<string>",
            "username": "<string>",
            "language_code": "<string>",
            "can_join_groups": true,
            "can_read_all_group_messages": true,
            "supports_inline_queries": true,
            "is_premium": true,
            "added_to_attachment_menu": true
          },
          "language": "<string>",
          "custom_emoji_id": "<string>"
        }
      ],
      "position": 123,
      "is_manual": true
    },
    "users_shared": {
      "request_id": "<string>",
      "user_ids": [
        123
      ]
    },
    "giveaway_created": {},
    "giveaway": {
      "chats": [
        {
          "id": 123,
          "type": "<string>",
          "title": "<string>",
          "first_name": "<string>",
          "last_name": "<string>",
          "username": "<string>",
          "photo": {
            "small_file_id": "<string>",
            "small_file_unique_id": "<string>",
            "big_file_id": "<string>",
            "big_file_unique_id": "<string>"
          },
          "description": "<string>",
          "invite_link": "<string>",
          "pinned_message": "<unknown>",
          "sticker_set_name": "<string>",
          "can_set_sticker_set": true,
          "permissions": {
            "can_send_messages": true,
            "can_send_audios": true,
            "can_send_documents": true,
            "can_send_photos": true,
            "can_send_videos": true,
            "can_send_video_notes": true,
            "can_send_voice_notes": true,
            "can_send_polls": true,
            "can_send_other_messages": true,
            "can_add_web_page_previews": true,
            "can_change_info": true,
            "can_invite_users": true,
            "can_pin_messages": true,
            "can_manage_topics": true,
            "can_send_media_messages": true
          },
          "slow_mode_delay": 123,
          "bio": "<string>",
          "linked_chat_id": 123,
          "location": {
            "location": {
              "longitude": 123,
              "latitude": 123,
              "horizontal_accuracy": 123,
              "live_period": 123,
              "heading": 123,
              "proximity_alert_radius": 123
            },
            "address": "<string>"
          },
          "message_auto_delete_time": 123,
          "has_private_forwards": true,
          "has_protected_content": true,
          "join_to_send_messages": true,
          "join_by_request": true,
          "has_restricted_voice_and_video_messages": true,
          "is_forum": true,
          "active_usernames": [
            "<string>"
          ],
          "emoji_status_custom_emoji_id": "<string>",
          "has_aggressive_anti_spam_enabled": true,
          "has_hidden_members": true,
          "emoji_status_expiration_date": true,
          "available_reactions": [
            {}
          ],
          "accent_color_id": 123,
          "background_custom_emoji_id": "<string>",
          "profile_accent_color_id": true,
          "profile_background_custom_emoji_id": "<string>",
          "has_visible_history": true,
          "unrestrict_boost_count": 123,
          "custom_emoji_sticker_set_name": true
        }
      ],
      "winners_selection_date": 123,
      "winner_count": 123,
      "only_new_members": true,
      "has_public_winners": true,
      "prize_description": "<string>",
      "country_codes": [
        "<string>"
      ],
      "premium_subscription_month_count": 123
    },
    "giveaway_winners": {
      "chat": {
        "id": 123,
        "type": "<string>",
        "title": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "username": "<string>",
        "photo": {
          "small_file_id": "<string>",
          "small_file_unique_id": "<string>",
          "big_file_id": "<string>",
          "big_file_unique_id": "<string>"
        },
        "description": "<string>",
        "invite_link": "<string>",
        "pinned_message": "<unknown>",
        "sticker_set_name": "<string>",
        "can_set_sticker_set": true,
        "permissions": {
          "can_send_messages": true,
          "can_send_audios": true,
          "can_send_documents": true,
          "can_send_photos": true,
          "can_send_videos": true,
          "can_send_video_notes": true,
          "can_send_voice_notes": true,
          "can_send_polls": true,
          "can_send_other_messages": true,
          "can_add_web_page_previews": true,
          "can_change_info": true,
          "can_invite_users": true,
          "can_pin_messages": true,
          "can_manage_topics": true,
          "can_send_media_messages": true
        },
        "slow_mode_delay": 123,
        "bio": "<string>",
        "linked_chat_id": 123,
        "location": {
          "location": {
            "longitude": 123,
            "latitude": 123,
            "horizontal_accuracy": 123,
            "live_period": 123,
            "heading": 123,
            "proximity_alert_radius": 123
          },
          "address": "<string>"
        },
        "message_auto_delete_time": 123,
        "has_private_forwards": true,
        "has_protected_content": true,
        "join_to_send_messages": true,
        "join_by_request": true,
        "has_restricted_voice_and_video_messages": true,
        "is_forum": true,
        "active_usernames": [
          "<string>"
        ],
        "emoji_status_custom_emoji_id": "<string>",
        "has_aggressive_anti_spam_enabled": true,
        "has_hidden_members": true,
        "emoji_status_expiration_date": true,
        "available_reactions": [
          {}
        ],
        "accent_color_id": 123,
        "background_custom_emoji_id": "<string>",
        "profile_accent_color_id": true,
        "profile_background_custom_emoji_id": "<string>",
        "has_visible_history": true,
        "unrestrict_boost_count": 123,
        "custom_emoji_sticker_set_name": true
      },
      "giveaway_message_id": 123,
      "winners_selection_date": 123,
      "winner_count": 123,
      "winners": [
        {
          "id": 123,
          "first_name": "<string>",
          "is_bot": true,
          "last_name": "<string>",
          "username": "<string>",
          "language_code": "<string>",
          "can_join_groups": true,
          "can_read_all_group_messages": true,
          "supports_inline_queries": true,
          "is_premium": true,
          "added_to_attachment_menu": true
        }
      ],
      "additional_chat_count": 123,
      "premium_subscription_month_count": 123,
      "unclaimed_prize_count": 123,
      "only_new_members": true,
      "was_refunded": true,
      "prize_description": "<string>"
    },
    "giveaway_completed": {
      "winner_count": 123,
      "unclaimed_prize_count": 123,
      "giveaway_message": "<unknown>"
    },
    "reply_to_story": {
      "chat": {
        "id": 123,
        "type": "<string>",
        "title": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "username": "<string>",
        "photo": {
          "small_file_id": "<string>",
          "small_file_unique_id": "<string>",
          "big_file_id": "<string>",
          "big_file_unique_id": "<string>"
        },
        "description": "<string>",
        "invite_link": "<string>",
        "pinned_message": "<unknown>",
        "sticker_set_name": "<string>",
        "can_set_sticker_set": true,
        "permissions": {
          "can_send_messages": true,
          "can_send_audios": true,
          "can_send_documents": true,
          "can_send_photos": true,
          "can_send_videos": true,
          "can_send_video_notes": true,
          "can_send_voice_notes": true,
          "can_send_polls": true,
          "can_send_other_messages": true,
          "can_add_web_page_previews": true,
          "can_change_info": true,
          "can_invite_users": true,
          "can_pin_messages": true,
          "can_manage_topics": true,
          "can_send_media_messages": true
        },
        "slow_mode_delay": 123,
        "bio": "<string>",
        "linked_chat_id": 123,
        "location": {
          "location": {
            "longitude": 123,
            "latitude": 123,
            "horizontal_accuracy": 123,
            "live_period": 123,
            "heading": 123,
            "proximity_alert_radius": 123
          },
          "address": "<string>"
        },
        "message_auto_delete_time": 123,
        "has_private_forwards": true,
        "has_protected_content": true,
        "join_to_send_messages": true,
        "join_by_request": true,
        "has_restricted_voice_and_video_messages": true,
        "is_forum": true,
        "active_usernames": [
          "<string>"
        ],
        "emoji_status_custom_emoji_id": "<string>",
        "has_aggressive_anti_spam_enabled": true,
        "has_hidden_members": true,
        "emoji_status_expiration_date": true,
        "available_reactions": [
          {}
        ],
        "accent_color_id": 123,
        "background_custom_emoji_id": "<string>",
        "profile_accent_color_id": true,
        "profile_background_custom_emoji_id": "<string>",
        "has_visible_history": true,
        "unrestrict_boost_count": 123,
        "custom_emoji_sticker_set_name": true
      },
      "id": 123
    },
    "boost_added": {
      "boost_count": 123
    },
    "sender_boost_count": 123
  },
  "inline_query": {
    "id": "<string>",
    "from": {
      "id": 123,
      "first_name": "<string>",
      "is_bot": true,
      "last_name": "<string>",
      "username": "<string>",
      "language_code": "<string>",
      "can_join_groups": true,
      "can_read_all_group_messages": true,
      "supports_inline_queries": true,
      "is_premium": true,
      "added_to_attachment_menu": true
    },
    "location": {
      "longitude": 123,
      "latitude": 123,
      "horizontal_accuracy": 123,
      "live_period": 123,
      "heading": 123,
      "proximity_alert_radius": 123
    },
    "query": "<string>",
    "offset": "<string>",
    "chat_type": "<string>"
  },
  "chosen_inline_result": {
    "result_id": "<string>",
    "from": {
      "id": 123,
      "first_name": "<string>",
      "is_bot": true,
      "last_name": "<string>",
      "username": "<string>",
      "language_code": "<string>",
      "can_join_groups": true,
      "can_read_all_group_messages": true,
      "supports_inline_queries": true,
      "is_premium": true,
      "added_to_attachment_menu": true
    },
    "location": {
      "longitude": 123,
      "latitude": 123,
      "horizontal_accuracy": 123,
      "live_period": 123,
      "heading": 123,
      "proximity_alert_radius": 123
    },
    "inline_message_id": "<string>",
    "query": "<string>"
  },
  "callback_query": {
    "id": "<string>",
    "from": {
      "id": 123,
      "first_name": "<string>",
      "is_bot": true,
      "last_name": "<string>",
      "username": "<string>",
      "language_code": "<string>",
      "can_join_groups": true,
      "can_read_all_group_messages": true,
      "supports_inline_queries": true,
      "is_premium": true,
      "added_to_attachment_menu": true
    },
    "message": {
      "userMessage": true,
      "groupMessage": true,
      "superGroupMessage": true,
      "chatId": 123,
      "messageId": 123,
      "date": 123
    },
    "inline_message_id": "<string>",
    "data": "<string>",
    "game_short_name": "<string>",
    "chat_instance": "<string>"
  },
  "edited_message": {
    "message_id": 123,
    "message_thread_id": 123,
    "from": {
      "id": 123,
      "first_name": "<string>",
      "is_bot": true,
      "last_name": "<string>",
      "username": "<string>",
      "language_code": "<string>",
      "can_join_groups": true,
      "can_read_all_group_messages": true,
      "supports_inline_queries": true,
      "is_premium": true,
      "added_to_attachment_menu": true
    },
    "date": 123,
    "chat": {
      "id": 123,
      "type": "<string>",
      "title": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "username": "<string>",
      "photo": {
        "small_file_id": "<string>",
        "small_file_unique_id": "<string>",
        "big_file_id": "<string>",
        "big_file_unique_id": "<string>"
      },
      "description": "<string>",
      "invite_link": "<string>",
      "pinned_message": "<unknown>",
      "sticker_set_name": "<string>",
      "can_set_sticker_set": true,
      "permissions": {
        "can_send_messages": true,
        "can_send_audios": true,
        "can_send_documents": true,
        "can_send_photos": true,
        "can_send_videos": true,
        "can_send_video_notes": true,
        "can_send_voice_notes": true,
        "can_send_polls": true,
        "can_send_other_messages": true,
        "can_add_web_page_previews": true,
        "can_change_info": true,
        "can_invite_users": true,
        "can_pin_messages": true,
        "can_manage_topics": true,
        "can_send_media_messages": true
      },
      "slow_mode_delay": 123,
      "bio": "<string>",
      "linked_chat_id": 123,
      "location": {
        "location": {
          "longitude": 123,
          "latitude": 123,
          "horizontal_accuracy": 123,
          "live_period": 123,
          "heading": 123,
          "proximity_alert_radius": 123
        },
        "address": "<string>"
      },
      "message_auto_delete_time": 123,
      "has_private_forwards": true,
      "has_protected_content": true,
      "join_to_send_messages": true,
      "join_by_request": true,
      "has_restricted_voice_and_video_messages": true,
      "is_forum": true,
      "active_usernames": [
        "<string>"
      ],
      "emoji_status_custom_emoji_id": "<string>",
      "has_aggressive_anti_spam_enabled": true,
      "has_hidden_members": true,
      "emoji_status_expiration_date": true,
      "available_reactions": [
        {}
      ],
      "accent_color_id": 123,
      "background_custom_emoji_id": "<string>",
      "profile_accent_color_id": true,
      "profile_background_custom_emoji_id": "<string>",
      "has_visible_history": true,
      "unrestrict_boost_count": 123,
      "custom_emoji_sticker_set_name": true
    },
    "forward_from": {
      "id": 123,
      "first_name": "<string>",
      "is_bot": true,
      "last_name": "<string>",
      "username": "<string>",
      "language_code": "<string>",
      "can_join_groups": true,
      "can_read_all_group_messages": true,
      "supports_inline_queries": true,
      "is_premium": true,
      "added_to_attachment_menu": true
    },
    "forward_from_chat": {
      "id": 123,
      "type": "<string>",
      "title": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "username": "<string>",
      "photo": {
        "small_file_id": "<string>",
        "small_file_unique_id": "<string>",
        "big_file_id": "<string>",
        "big_file_unique_id": "<string>"
      },
      "description": "<string>",
      "invite_link": "<string>",
      "pinned_message": "<unknown>",
      "sticker_set_name": "<string>",
      "can_set_sticker_set": true,
      "permissions": {
        "can_send_messages": true,
        "can_send_audios": true,
        "can_send_documents": true,
        "can_send_photos": true,
        "can_send_videos": true,
        "can_send_video_notes": true,
        "can_send_voice_notes": true,
        "can_send_polls": true,
        "can_send_other_messages": true,
        "can_add_web_page_previews": true,
        "can_change_info": true,
        "can_invite_users": true,
        "can_pin_messages": true,
        "can_manage_topics": true,
        "can_send_media_messages": true
      },
      "slow_mode_delay": 123,
      "bio": "<string>",
      "linked_chat_id": 123,
      "location": {
        "location": {
          "longitude": 123,
          "latitude": 123,
          "horizontal_accuracy": 123,
          "live_period": 123,
          "heading": 123,
          "proximity_alert_radius": 123
        },
        "address": "<string>"
      },
      "message_auto_delete_time": 123,
      "has_private_forwards": true,
      "has_protected_content": true,
      "join_to_send_messages": true,
      "join_by_request": true,
      "has_restricted_voice_and_video_messages": true,
      "is_forum": true,
      "active_usernames": [
        "<string>"
      ],
      "emoji_status_custom_emoji_id": "<string>",
      "has_aggressive_anti_spam_enabled": true,
      "has_hidden_members": true,
      "emoji_status_expiration_date": true,
      "available_reactions": [
        {}
      ],
      "accent_color_id": 123,
      "background_custom_emoji_id": "<string>",
      "profile_accent_color_id": true,
      "profile_background_custom_emoji_id": "<string>",
      "has_visible_history": true,
      "unrestrict_boost_count": 123,
      "custom_emoji_sticker_set_name": true
    },
    "forward_date": 123,
    "text": "<string>",
    "entities": [
      {
        "type": "<string>",
        "offset": 123,
        "length": 123,
        "url": "<string>",
        "user": {
          "id": 123,
          "first_name": "<string>",
          "is_bot": true,
          "last_name": "<string>",
          "username": "<string>",
          "language_code": "<string>",
          "can_join_groups": true,
          "can_read_all_group_messages": true,
          "supports_inline_queries": true,
          "is_premium": true,
          "added_to_attachment_menu": true
        },
        "language": "<string>",
        "custom_emoji_id": "<string>"
      }
    ],
    "caption_entities": [
      {
        "type": "<string>",
        "offset": 123,
        "length": 123,
        "url": "<string>",
        "user": {
          "id": 123,
          "first_name": "<string>",
          "is_bot": true,
          "last_name": "<string>",
          "username": "<string>",
          "language_code": "<string>",
          "can_join_groups": true,
          "can_read_all_group_messages": true,
          "supports_inline_queries": true,
          "is_premium": true,
          "added_to_attachment_menu": true
        },
        "language": "<string>",
        "custom_emoji_id": "<string>"
      }
    ],
    "audio": {
      "file_id": "<string>",
      "file_unique_id": "<string>",
      "duration": 123,
      "mime_type": "<string>",
      "file_size": 123,
      "title": "<string>",
      "performer": "<string>",
      "thumbnail": {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "width": 123,
        "height": 123,
        "file_size": 123,
        "file_path": "<string>"
      },
      "file_name": "<string>"
    },
    "document": {
      "file_id": "<string>",
      "file_unique_id": "<string>",
      "thumbnail": {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "width": 123,
        "height": 123,
        "file_size": 123,
        "file_path": "<string>"
      },
      "file_name": "<string>",
      "mime_type": "<string>",
      "file_size": 123
    },
    "photo": [
      {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "width": 123,
        "height": 123,
        "file_size": 123,
        "file_path": "<string>"
      }
    ],
    "sticker": {
      "file_id": "<string>",
      "file_unique_id": "<string>",
      "type": "<string>",
      "width": 123,
      "height": 123,
      "thumbnail": {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "width": 123,
        "height": 123,
        "file_size": 123,
        "file_path": "<string>"
      },
      "file_size": 123,
      "emoji": "<string>",
      "set_name": "<string>",
      "mask_position": {
        "point": "<string>",
        "x_shift": 123,
        "y_shift": 123,
        "scale": 123
      },
      "is_animated": true,
      "is_video": true,
      "premium_animation": {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "file_size": 123,
        "file_path": "<string>"
      },
      "custom_emoji_id": "<string>",
      "needs_repainting": true
    },
    "video": {
      "file_id": "<string>",
      "file_unique_id": "<string>",
      "width": 123,
      "height": 123,
      "duration": 123,
      "thumbnail": {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "width": 123,
        "height": 123,
        "file_size": 123,
        "file_path": "<string>"
      },
      "mime_type": "<string>",
      "file_size": 123,
      "file_name": "<string>"
    },
    "contact": {
      "phone_number": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "user_id": 123,
      "vcard": "<string>"
    },
    "location": {
      "longitude": 123,
      "latitude": 123,
      "horizontal_accuracy": 123,
      "live_period": 123,
      "heading": 123,
      "proximity_alert_radius": 123
    },
    "venue": {
      "location": {
        "longitude": 123,
        "latitude": 123,
        "horizontal_accuracy": 123,
        "live_period": 123,
        "heading": 123,
        "proximity_alert_radius": 123
      },
      "title": "<string>",
      "address": "<string>",
      "foursquare_id": "<string>",
      "foursquare_type": "<string>",
      "google_place_id": "<string>",
      "google_place_type": "<string>"
    },
    "animation": {
      "file_id": "<string>",
      "file_unique_id": "<string>",
      "width": 123,
      "height": 123,
      "duration": 123,
      "thumbnail": {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "width": 123,
        "height": 123,
        "file_size": 123,
        "file_path": "<string>"
      },
      "mime_type": "<string>",
      "file_size": 123,
      "file_name": "<string>"
    },
    "pinned_message": {
      "userMessage": true,
      "groupMessage": true,
      "superGroupMessage": true,
      "chatId": 123,
      "messageId": 123,
      "date": 123
    },
    "new_chat_members": [
      {
        "id": 123,
        "first_name": "<string>",
        "is_bot": true,
        "last_name": "<string>",
        "username": "<string>",
        "language_code": "<string>",
        "can_join_groups": true,
        "can_read_all_group_messages": true,
        "supports_inline_queries": true,
        "is_premium": true,
        "added_to_attachment_menu": true
      }
    ],
    "left_chat_member": {
      "id": 123,
      "first_name": "<string>",
      "is_bot": true,
      "last_name": "<string>",
      "username": "<string>",
      "language_code": "<string>",
      "can_join_groups": true,
      "can_read_all_group_messages": true,
      "supports_inline_queries": true,
      "is_premium": true,
      "added_to_attachment_menu": true
    },
    "new_chat_title": "<string>",
    "new_chat_photo": [
      {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "width": 123,
        "height": 123,
        "file_size": 123,
        "file_path": "<string>"
      }
    ],
    "delete_chat_photo": true,
    "group_chat_created": true,
    "reply_to_message": "<unknown>",
    "voice": {
      "file_id": "<string>",
      "file_unique_id": "<string>",
      "duration": 123,
      "mime_type": "<string>",
      "file_size": 123
    },
    "caption": "<string>",
    "supergroup_chat_created": true,
    "channel_chat_created": true,
    "migrate_to_chat_id": 123,
    "migrate_from_chat_id": 123,
    "edit_date": 123,
    "game": {
      "title": "<string>",
      "description": "<string>",
      "photo": [
        {
          "file_id": "<string>",
          "file_unique_id": "<string>",
          "width": 123,
          "height": 123,
          "file_size": 123,
          "file_path": "<string>"
        }
      ],
      "text": "<string>",
      "text_entities": [
        {
          "type": "<string>",
          "offset": 123,
          "length": 123,
          "url": "<string>",
          "user": {
            "id": 123,
            "first_name": "<string>",
            "is_bot": true,
            "last_name": "<string>",
            "username": "<string>",
            "language_code": "<string>",
            "can_join_groups": true,
            "can_read_all_group_messages": true,
            "supports_inline_queries": true,
            "is_premium": true,
            "added_to_attachment_menu": true
          },
          "language": "<string>",
          "custom_emoji_id": "<string>"
        }
      ],
      "animation": {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "width": 123,
        "height": 123,
        "duration": 123,
        "thumbnail": {
          "file_id": "<string>",
          "file_unique_id": "<string>",
          "width": 123,
          "height": 123,
          "file_size": 123,
          "file_path": "<string>"
        },
        "mime_type": "<string>",
        "file_size": 123,
        "file_name": "<string>"
      }
    },
    "forward_from_message_id": 123,
    "invoice": {
      "title": "<string>",
      "description": "<string>",
      "start_parameter": "<string>",
      "currency": "<string>",
      "total_amount": 123,
      "photo": {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "width": 123,
        "height": 123,
        "file_size": 123,
        "file_path": "<string>"
      }
    },
    "successful_payment": {
      "currency": "<string>",
      "total_amount": 123,
      "invoice_payload": "<string>",
      "shipping_option_id": "<string>",
      "order_info": {
        "name": "<string>",
        "phone_number": "<string>",
        "email": "<string>",
        "shipping_address": {
          "country_code": "<string>",
          "state": "<string>",
          "city": "<string>",
          "street_line1": "<string>",
          "street_line2": "<string>",
          "post_code": "<string>"
        }
      },
      "telegram_payment_charge_id": "<string>",
      "provider_payment_charge_id": "<string>"
    },
    "video_note": {
      "file_id": "<string>",
      "file_unique_id": "<string>",
      "length": 123,
      "duration": 123,
      "thumbnail": {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "width": 123,
        "height": 123,
        "file_size": 123,
        "file_path": "<string>"
      },
      "file_size": 123
    },
    "author_signature": "<string>",
    "forward_signature": "<string>",
    "media_group_id": "<string>",
    "connected_website": "<string>",
    "passport_data": {
      "data": [
        {
          "type": "<string>",
          "data": "<string>",
          "phone_number": "<string>",
          "email": "<string>",
          "files": [
            {
              "file_id": "<string>",
              "file_unique_id": "<string>",
              "file_size": 123,
              "file_date": 123
            }
          ],
          "front_side": {
            "file_id": "<string>",
            "file_unique_id": "<string>",
            "file_size": 123,
            "file_date": 123
          },
          "reverse_side": {
            "file_id": "<string>",
            "file_unique_id": "<string>",
            "file_size": 123,
            "file_date": 123
          },
          "selfie": {
            "file_id": "<string>",
            "file_unique_id": "<string>",
            "file_size": 123,
            "file_date": 123
          },
          "translation": [
            {
              "file_id": "<string>",
              "file_unique_id": "<string>",
              "file_size": 123,
              "file_date": 123
            }
          ],
          "hash": "<string>"
        }
      ],
      "credentials": {
        "data": "<string>",
        "hash": "<string>",
        "secret": "<string>"
      }
    },
    "forward_sender_name": "<string>",
    "poll": {
      "id": "<string>",
      "question": "<string>",
      "options": [
        {
          "text": "<string>",
          "voter_count": 123
        }
      ],
      "total_voter_count": 123,
      "is_closed": true,
      "is_anonymous": true,
      "type": "<string>",
      "allows_multiple_answers": true,
      "correct_option_id": 123,
      "open_period": 123,
      "close_date": 123,
      "explanation": "<string>",
      "explanation_entities": [
        {
          "type": "<string>",
          "offset": 123,
          "length": 123,
          "url": "<string>",
          "user": {
            "id": 123,
            "first_name": "<string>",
            "is_bot": true,
            "last_name": "<string>",
            "username": "<string>",
            "language_code": "<string>",
            "can_join_groups": true,
            "can_read_all_group_messages": true,
            "supports_inline_queries": true,
            "is_premium": true,
            "added_to_attachment_menu": true
          },
          "language": "<string>",
          "custom_emoji_id": "<string>"
        }
      ]
    },
    "reply_markup": {
      "inline_keyboard": [
        [
          {
            "text": "<string>",
            "url": "<string>",
            "callback_data": "<string>",
            "callback_game": {},
            "switch_inline_query": "<string>",
            "switch_inline_query_current_chat": "<string>",
            "pay": true,
            "login_url": {
              "url": "<string>",
              "forward_text": "<string>",
              "bot_username": "<string>",
              "request_write_access": true
            },
            "web_app": {
              "url": "<string>"
            }
          }
        ]
      ]
    },
    "dice": {
      "value": 123,
      "emoji": "<string>"
    },
    "via_bot": {
      "id": 123,
      "first_name": "<string>",
      "is_bot": true,
      "last_name": "<string>",
      "username": "<string>",
      "language_code": "<string>",
      "can_join_groups": true,
      "can_read_all_group_messages": true,
      "supports_inline_queries": true,
      "is_premium": true,
      "added_to_attachment_menu": true
    },
    "sender_chat": {
      "id": 123,
      "type": "<string>",
      "title": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "username": "<string>",
      "photo": {
        "small_file_id": "<string>",
        "small_file_unique_id": "<string>",
        "big_file_id": "<string>",
        "big_file_unique_id": "<string>"
      },
      "description": "<string>",
      "invite_link": "<string>",
      "pinned_message": "<unknown>",
      "sticker_set_name": "<string>",
      "can_set_sticker_set": true,
      "permissions": {
        "can_send_messages": true,
        "can_send_audios": true,
        "can_send_documents": true,
        "can_send_photos": true,
        "can_send_videos": true,
        "can_send_video_notes": true,
        "can_send_voice_notes": true,
        "can_send_polls": true,
        "can_send_other_messages": true,
        "can_add_web_page_previews": true,
        "can_change_info": true,
        "can_invite_users": true,
        "can_pin_messages": true,
        "can_manage_topics": true,
        "can_send_media_messages": true
      },
      "slow_mode_delay": 123,
      "bio": "<string>",
      "linked_chat_id": 123,
      "location": {
        "location": {
          "longitude": 123,
          "latitude": 123,
          "horizontal_accuracy": 123,
          "live_period": 123,
          "heading": 123,
          "proximity_alert_radius": 123
        },
        "address": "<string>"
      },
      "message_auto_delete_time": 123,
      "has_private_forwards": true,
      "has_protected_content": true,
      "join_to_send_messages": true,
      "join_by_request": true,
      "has_restricted_voice_and_video_messages": true,
      "is_forum": true,
      "active_usernames": [
        "<string>"
      ],
      "emoji_status_custom_emoji_id": "<string>",
      "has_aggressive_anti_spam_enabled": true,
      "has_hidden_members": true,
      "emoji_status_expiration_date": true,
      "available_reactions": [
        {}
      ],
      "accent_color_id": 123,
      "background_custom_emoji_id": "<string>",
      "profile_accent_color_id": true,
      "profile_background_custom_emoji_id": "<string>",
      "has_visible_history": true,
      "unrestrict_boost_count": 123,
      "custom_emoji_sticker_set_name": true
    },
    "proximity_alert_triggered": {
      "traveler": {
        "id": 123,
        "first_name": "<string>",
        "is_bot": true,
        "last_name": "<string>",
        "username": "<string>",
        "language_code": "<string>",
        "can_join_groups": true,
        "can_read_all_group_messages": true,
        "supports_inline_queries": true,
        "is_premium": true,
        "added_to_attachment_menu": true
      },
      "watcher": {
        "id": 123,
        "first_name": "<string>",
        "is_bot": true,
        "last_name": "<string>",
        "username": "<string>",
        "language_code": "<string>",
        "can_join_groups": true,
        "can_read_all_group_messages": true,
        "supports_inline_queries": true,
        "is_premium": true,
        "added_to_attachment_menu": true
      },
      "distance": 123
    },
    "message_auto_delete_timer_changed": {
      "message_auto_delete_time": 123
    },
    "is_automatic_forward": true,
    "has_protected_content": true,
    "web_app_data": {
      "data": "<string>",
      "button_text": "<string>"
    },
    "video_chat_started": {},
    "video_chat_ended": {
      "duration": 123
    },
    "video_chat_participants_invited": {
      "users": [
        {
          "id": 123,
          "first_name": "<string>",
          "is_bot": true,
          "last_name": "<string>",
          "username": "<string>",
          "language_code": "<string>",
          "can_join_groups": true,
          "can_read_all_group_messages": true,
          "supports_inline_queries": true,
          "is_premium": true,
          "added_to_attachment_menu": true
        }
      ]
    },
    "video_chat_scheduled": {
      "start_date": 123
    },
    "is_topic_message": true,
    "forum_topic_created": {
      "name": "<string>",
      "icon_color": 123,
      "icon_custom_emoji_id": "<string>"
    },
    "forum_topic_closed": {},
    "forum_topic_reopened": {},
    "forum_topic_edited": {
      "name": "<string>",
      "icon_custom_emoji_id": "<string>"
    },
    "general_forum_topic_hidden": {},
    "general_forum_topic_unhidden": {},
    "write_access_allowed": {
      "from_request": true,
      "web_app_name": "<string>",
      "from_attachment_menu": true
    },
    "has_media_spoiler": true,
    "user_shared": {
      "request_id": "<string>",
      "user_id": 123
    },
    "chat_shared": {
      "request_id": "<string>",
      "chat_id": 123
    },
    "story": {
      "chat": {
        "id": 123,
        "type": "<string>",
        "title": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "username": "<string>",
        "photo": {
          "small_file_id": "<string>",
          "small_file_unique_id": "<string>",
          "big_file_id": "<string>",
          "big_file_unique_id": "<string>"
        },
        "description": "<string>",
        "invite_link": "<string>",
        "pinned_message": "<unknown>",
        "sticker_set_name": "<string>",
        "can_set_sticker_set": true,
        "permissions": {
          "can_send_messages": true,
          "can_send_audios": true,
          "can_send_documents": true,
          "can_send_photos": true,
          "can_send_videos": true,
          "can_send_video_notes": true,
          "can_send_voice_notes": true,
          "can_send_polls": true,
          "can_send_other_messages": true,
          "can_add_web_page_previews": true,
          "can_change_info": true,
          "can_invite_users": true,
          "can_pin_messages": true,
          "can_manage_topics": true,
          "can_send_media_messages": true
        },
        "slow_mode_delay": 123,
        "bio": "<string>",
        "linked_chat_id": 123,
        "location": {
          "location": {
            "longitude": 123,
            "latitude": 123,
            "horizontal_accuracy": 123,
            "live_period": 123,
            "heading": 123,
            "proximity_alert_radius": 123
          },
          "address": "<string>"
        },
        "message_auto_delete_time": 123,
        "has_private_forwards": true,
        "has_protected_content": true,
        "join_to_send_messages": true,
        "join_by_request": true,
        "has_restricted_voice_and_video_messages": true,
        "is_forum": true,
        "active_usernames": [
          "<string>"
        ],
        "emoji_status_custom_emoji_id": "<string>",
        "has_aggressive_anti_spam_enabled": true,
        "has_hidden_members": true,
        "emoji_status_expiration_date": true,
        "available_reactions": [
          {}
        ],
        "accent_color_id": 123,
        "background_custom_emoji_id": "<string>",
        "profile_accent_color_id": true,
        "profile_background_custom_emoji_id": "<string>",
        "has_visible_history": true,
        "unrestrict_boost_count": 123,
        "custom_emoji_sticker_set_name": true
      },
      "id": 123
    },
    "external_reply": {
      "origin": {},
      "chat": {
        "id": 123,
        "type": "<string>",
        "title": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "username": "<string>",
        "photo": {
          "small_file_id": "<string>",
          "small_file_unique_id": "<string>",
          "big_file_id": "<string>",
          "big_file_unique_id": "<string>"
        },
        "description": "<string>",
        "invite_link": "<string>",
        "pinned_message": "<unknown>",
        "sticker_set_name": "<string>",
        "can_set_sticker_set": true,
        "permissions": {
          "can_send_messages": true,
          "can_send_audios": true,
          "can_send_documents": true,
          "can_send_photos": true,
          "can_send_videos": true,
          "can_send_video_notes": true,
          "can_send_voice_notes": true,
          "can_send_polls": true,
          "can_send_other_messages": true,
          "can_add_web_page_previews": true,
          "can_change_info": true,
          "can_invite_users": true,
          "can_pin_messages": true,
          "can_manage_topics": true,
          "can_send_media_messages": true
        },
        "slow_mode_delay": 123,
        "bio": "<string>",
        "linked_chat_id": 123,
        "location": {
          "location": {
            "longitude": 123,
            "latitude": 123,
            "horizontal_accuracy": 123,
            "live_period": 123,
            "heading": 123,
            "proximity_alert_radius": 123
          },
          "address": "<string>"
        },
        "message_auto_delete_time": 123,
        "has_private_forwards": true,
        "has_protected_content": true,
        "join_to_send_messages": true,
        "join_by_request": true,
        "has_restricted_voice_and_video_messages": true,
        "is_forum": true,
        "active_usernames": [
          "<string>"
        ],
        "emoji_status_custom_emoji_id": "<string>",
        "has_aggressive_anti_spam_enabled": true,
        "has_hidden_members": true,
        "emoji_status_expiration_date": true,
        "available_reactions": [
          {}
        ],
        "accent_color_id": 123,
        "background_custom_emoji_id": "<string>",
        "profile_accent_color_id": true,
        "profile_background_custom_emoji_id": "<string>",
        "has_visible_history": true,
        "unrestrict_boost_count": 123,
        "custom_emoji_sticker_set_name": true
      },
      "message_id": 123,
      "link_preview_options": {
        "is_disabled": true,
        "url": "<string>",
        "prefer_small_media": true,
        "prefer_large_media": true,
        "show_above_text": true
      },
      "animation": {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "width": 123,
        "height": 123,
        "duration": 123,
        "thumbnail": {
          "file_id": "<string>",
          "file_unique_id": "<string>",
          "width": 123,
          "height": 123,
          "file_size": 123,
          "file_path": "<string>"
        },
        "mime_type": "<string>",
        "file_size": 123,
        "file_name": "<string>"
      },
      "audio": {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "duration": 123,
        "mime_type": "<string>",
        "file_size": 123,
        "title": "<string>",
        "performer": "<string>",
        "thumbnail": {
          "file_id": "<string>",
          "file_unique_id": "<string>",
          "width": 123,
          "height": 123,
          "file_size": 123,
          "file_path": "<string>"
        },
        "file_name": "<string>"
      },
      "document": {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "thumbnail": {
          "file_id": "<string>",
          "file_unique_id": "<string>",
          "width": 123,
          "height": 123,
          "file_size": 123,
          "file_path": "<string>"
        },
        "file_name": "<string>",
        "mime_type": "<string>",
        "file_size": 123
      },
      "photo": [
        {
          "file_id": "<string>",
          "file_unique_id": "<string>",
          "width": 123,
          "height": 123,
          "file_size": 123,
          "file_path": "<string>"
        }
      ],
      "sticker": {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "type": "<string>",
        "width": 123,
        "height": 123,
        "thumbnail": {
          "file_id": "<string>",
          "file_unique_id": "<string>",
          "width": 123,
          "height": 123,
          "file_size": 123,
          "file_path": "<string>"
        },
        "file_size": 123,
        "emoji": "<string>",
        "set_name": "<string>",
        "mask_position": {
          "point": "<string>",
          "x_shift": 123,
          "y_shift": 123,
          "scale": 123
        },
        "is_animated": true,
        "is_video": true,
        "premium_animation": {
          "file_id": "<string>",
          "file_unique_id": "<string>",
          "file_size": 123,
          "file_path": "<string>"
        },
        "custom_emoji_id": "<string>",
        "needs_repainting": true
      },
      "story": {
        "chat": {
          "id": 123,
          "type": "<string>",
          "title": "<string>",
          "first_name": "<string>",
          "last_name": "<string>",
          "username": "<string>",
          "photo": {
            "small_file_id": "<string>",
            "small_file_unique_id": "<string>",
            "big_file_id": "<string>",
            "big_file_unique_id": "<string>"
          },
          "description": "<string>",
          "invite_link": "<string>",
          "pinned_message": "<unknown>",
          "sticker_set_name": "<string>",
          "can_set_sticker_set": true,
          "permissions": {
            "can_send_messages": true,
            "can_send_audios": true,
            "can_send_documents": true,
            "can_send_photos": true,
            "can_send_videos": true,
            "can_send_video_notes": true,
            "can_send_voice_notes": true,
            "can_send_polls": true,
            "can_send_other_messages": true,
            "can_add_web_page_previews": true,
            "can_change_info": true,
            "can_invite_users": true,
            "can_pin_messages": true,
            "can_manage_topics": true,
            "can_send_media_messages": true
          },
          "slow_mode_delay": 123,
          "bio": "<string>",
          "linked_chat_id": 123,
          "location": {
            "location": {
              "longitude": 123,
              "latitude": 123,
              "horizontal_accuracy": 123,
              "live_period": 123,
              "heading": 123,
              "proximity_alert_radius": 123
            },
            "address": "<string>"
          },
          "message_auto_delete_time": 123,
          "has_private_forwards": true,
          "has_protected_content": true,
          "join_to_send_messages": true,
          "join_by_request": true,
          "has_restricted_voice_and_video_messages": true,
          "is_forum": true,
          "active_usernames": [
            "<string>"
          ],
          "emoji_status_custom_emoji_id": "<string>",
          "has_aggressive_anti_spam_enabled": true,
          "has_hidden_members": true,
          "emoji_status_expiration_date": true,
          "available_reactions": [
            {}
          ],
          "accent_color_id": 123,
          "background_custom_emoji_id": "<string>",
          "profile_accent_color_id": true,
          "profile_background_custom_emoji_id": "<string>",
          "has_visible_history": true,
          "unrestrict_boost_count": 123,
          "custom_emoji_sticker_set_name": true
        },
        "id": 123
      },
      "video": {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "width": 123,
        "height": 123,
        "duration": 123,
        "thumbnail": {
          "file_id": "<string>",
          "file_unique_id": "<string>",
          "width": 123,
          "height": 123,
          "file_size": 123,
          "file_path": "<string>"
        },
        "mime_type": "<string>",
        "file_size": 123,
        "file_name": "<string>"
      },
      "video_note": {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "length": 123,
        "duration": 123,
        "thumbnail": {
          "file_id": "<string>",
          "file_unique_id": "<string>",
          "width": 123,
          "height": 123,
          "file_size": 123,
          "file_path": "<string>"
        },
        "file_size": 123
      },
      "voice": {
        "file_id": "<string>",
        "file_unique_id": "<string>",
        "duration": 123,
        "mime_type": "<string>",
        "file_size": 123
      },
      "has_media_spoiler": true,
      "contact": {
        "phone_number": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "user_id": 123,
        "vcard": "<string>"
      },
      "dice": {
        "value": 123,
        "emoji": "<string>"
      },
      "game": {
        "title": "<string>",
        "description": "<string>",
        "photo": [
          {
            "file_id": "<string>",
            "file_unique_id": "<string>",
            "width": 123,
            "height": 123,
            "file_size": 123,
            "file_path": "<string>"
          }
        ],
        "text": "<string>",
        "text_entities": [
          {
            "type": "<string>",
            "offset": 123,
            "length": 123,
            "url": "<string>",
            "user": {
              "id": 123,
              "first_name": "<string>",
              "is_bot": true,
              "last_name": "<string>",
              "username": "<string>",
              "language_code": "<string>",
              "can_join_groups": true,
              "can_read_all_group_messages": true,
              "supports_inline_queries": true,
              "is_premium": true,
              "added_to_attachment_menu": true
            },
            "language": "<string>",
            "custom_emoji_id": "<string>"
          }
        ],
        "animation": {
          "file_id": "<string>",
          "file_unique_id": "<string>",
          "width": 123,
          "height": 123,
          "duration": 123,
          "thumbnail": {
            "file_id": "<string>",
            "file_unique_id": "<string>",
            "width": 123,
            "height": 123,
            "file_size": 123,
            "file_path": "<string>"
          },
          "mime_type": "<string>",
          "file_size": 123,
          "file_name": "<string>"
        }
      },
      "giveaway": {
        "chats": [
          {
            "id": 123,
            "type": "<string>",
            "title": "<string>",
            "first_name": "<string>",
            "last_name": "<string>",
            "username": "<string>",
            "photo": {
              "small_file_id": "<string>",
              "small_file_unique_id": "<string>",
              "big_file_id": "<string>",
              "big_file_unique_id": "<string>"
            },
            "description": "<string>",
            "invite_link": "<string>",
            "pinned_message": "<unknown>",
            "sticker_set_name": "<string>",
            "can_set_sticker_set": true,
            "permissions": {
              "can_send_messages": true,
              "can_send_audios": true,
              "can_send_documents": true,
              "can_send_photos": true,
              "can_send_videos": true,
              "can_send_video_notes": true,
              "can_send_voice_notes": true,
              "can_send_polls": true,
              "can_send_other_messages": true,
              "can_add_web_page_previews": true,
              "can_change_info": true,
              "can_invite_users": true,
              "can_pin_messages": true,
              "can_manage_topics": true,
              "can_send_media_messages": true
            },
            "slow_mode_delay": 123,
            "bio": "<string>",
            "linked_chat_id": 123,
            "location": {
              "location": {
                "longitude": 123,
                "latitude": 123,
                "horizontal_accuracy": 123,
                "live_period": 123,
                "heading": 123,
                "proximity_alert_radius": 123
              },
              "address": "<string>"
            },
            "message_auto_delete_time": 123,
            "has_private_forwards": true,
            "has_protected_content": true,
            "join_to_send_messages": true,
            "join_by_request": true,
            "has_restricted_voice_and_video_messages": true,
            "is_forum": true,
            "active_usernames": [
              "<string>"
            ],
            "emoji_status_custom_emoji_id": "<string>",
            "has_aggressive_anti_spam_enabled": true,
            "has_hidden_members": true,
            "emoji_status_expiration_date": true,
            "available_reactions": [
              {}
            ],
            "accent_color_id": 123,
            "background_custom_emoji_id": "<string>",
            "profile_accent_color_id": true,
            "profile_background_custom_emoji_id": "<string>",
            "has_visible_history": true,
            "unrestrict_boost_count": 123,
            "custom_emoji_sticker_set_name": true
          }
        ],
        "winners_selection_date": 123,
        "winner_count": 123,
        "only_new_members": true,
        "has_public_winners": true,
        "prize_description": "<string>",
        "country_codes": [
          "<string>"
        ],
        "premium_subscription_month_count": 123
      },
      "giveaway_winners": {
        "chat": {
          "id": 123,
          "type": "<string>",
          "title": "<string>",
          "first_name": "<string>",
          "last_name": "<string>",
          "username": "<string>",
          "photo": {
            "small_file_id": "<string>",
            "small_file_unique_id": "<string>",
            "big_file_id": "<string>",
            "big_file_unique_id": "<string>"
          },
          "description": "<string>",
          "invite_link": "<string>",
          "pinned_message": "<unknown>",
          "sticker_set_name": "<string>",
          "can_set_sticker_set": true,
          "permissions": {
            "can_send_messages": true,
            "can_send_audios": true,
            "can_send_documents": true,
            "can_send_photos": true,
            "can_send_videos": true,
            "can_send_video_notes": true,
            "can_send_voice_notes": true,
            "can_send_polls": true,
            "can_send_other_messages": true,
            "can_add_web_page_previews": true,
            "can_change_info": true,
            "can_invite_users": true,
            "can_pin_messages": true,
            "can_manage_topics": true,
            "can_send_media_messages": true
          },
          "slow_mode_delay": 123,
          "bio": "<string>",
          "linked_chat_id": 123,
          "location": {
            "location": {
              "longitude": 123,
              "latitude": 123,
              "horizontal_accuracy": 123,
              "live_period": 123,
              "heading": 123,
              "proximity_alert_radius": 123
            },
            "address": "<string>"
          },
          "message_auto_delete_time": 123,
          "has_private_forwards": true,
          "has_protected_content": true,
          "join_to_send_messages": true,
          "join_by_request": true,
          "has_restricted_voice_and_video_messages": true,
          "is_forum": true,
          "active_usernames": [
            "<string>"
          ],
          "emoji_status_custom_emoji_id": "<string>",
          "has_aggressive_anti_spam_enabled": true,
          "has_hidden_members": true,
          "emoji_status_expiration_date": true,
[...]
